OpenMesh: OpenMesh::SmartFaceHandle Struct Reference

| OpenMesh

Public Member Functions | List of all members
OpenMesh::SmartFaceHandle Struct Reference
Inheritance diagram for OpenMesh::SmartFaceHandle:
[legend]
Collaboration diagram for OpenMesh::SmartFaceHandle:
[legend]

## Public Member Functions
| SmartFaceHandle (int _idx=-1, const PolyConnectivity *_mesh=nullptr)
SmartHalfedgeHandle | halfedge () const
| Returns one of the halfedges of the face.
PolyConnectivity::ConstFaceVertexRange | vertices () const
| Returns a range of vertices incident to the face (PolyConnectivity::fv_range())
PolyConnectivity::ConstFaceVertexCWRange | vertices_cw () const
| Returns a range of vertices incident to the face (PolyConnectivity::fv_cw_range())
PolyConnectivity::ConstFaceVertexCCWRange | vertices_ccw () const
| Returns a range of vertices incident to the face (PolyConnectivity::fv_ccw_range())
PolyConnectivity::ConstFaceHalfedgeRange | halfedges () const
| Returns a range of halfedges of the face (PolyConnectivity::fh_range())
PolyConnectivity::ConstFaceHalfedgeCWRange | halfedges_cw () const
| Returns a range of halfedges of the face (PolyConnectivity::fh_cw_range())
PolyConnectivity::ConstFaceHalfedgeCCWRange | halfedges_ccw () const
| Returns a range of halfedges of the face (PolyConnectivity::fh_ccw_range())
PolyConnectivity::ConstFaceEdgeRange | edges () const
| Returns a range of edges of the face (PolyConnectivity::fv_range())
PolyConnectivity::ConstFaceEdgeCWRange | edges_cw () const
| Returns a range of edges of the face (PolyConnectivity::fv_cw_range())
PolyConnectivity::ConstFaceEdgeCCWRange | edges_ccw () const
| Returns a range of edges of the face (PolyConnectivity::fv_ccw_range())
PolyConnectivity::ConstFaceFaceRange | faces () const
| Returns a range adjacent faces of the face (PolyConnectivity::ff_range())
PolyConnectivity::ConstFaceFaceCWRange | faces_cw () const
| Returns a range adjacent faces of the face (PolyConnectivity::ff_cw_range())
PolyConnectivity::ConstFaceFaceCCWRange | faces_ccw () const
| Returns a range adjacent faces of the face (PolyConnectivity::ff_ccw_range())
uint | valence () const
| Returns the valence of the face.
Public Member Functions inherited from OpenMesh::SmartBaseHandle
| SmartBaseHandle (const PolyConnectivity *_mesh=nullptr)
const PolyConnectivity * | mesh () const
| Get the underlying mesh of this handle.
Public Member Functions inherited from OpenMesh::FaceHandle
| FaceHandle (int _idx=-1)
Public Member Functions inherited from OpenMesh::BaseHandle
| BaseHandle (int _idx=-1)
int | idx () const
| Get the underlying index of this handle.
bool | is_valid () const
| The handle is valid iff the index is not negative.
void | reset ()
| reset handle to be invalid
void | invalidate ()
| reset handle to be invalid
bool | operator== (const BaseHandle &_rhs) const
bool | operator!= (const BaseHandle &_rhs) const
bool | operator< (const BaseHandle &_rhs) const
void | __increment ()
void | __decrement ()
void | __increment (int amount)
void | __decrement (int amount)
Public Member Functions inherited from OpenMesh::SmartHandleStatusPredicates< SmartFaceHandle >
bool | feature () const
| Returns true iff the handle is marked as feature.
bool | selected () const
| Returns true iff the handle is marked as selected.
bool | tagged () const
| Returns true iff the handle is marked as tagged.
bool | tagged2 () const
| Returns true iff the handle is marked as tagged2.
bool | locked () const
| Returns true iff the handle is marked as locked.
bool | hidden () const
| Returns true iff the handle is marked as hidden.
bool | deleted () const
| Returns true iff the handle is marked as deleted.
Public Member Functions inherited from OpenMesh::SmartHandleBoundaryPredicate< SmartFaceHandle >
bool | is_boundary () const
| Returns true iff the handle is boundary.

The documentation for this struct was generated from the following files:

- OpenMesh/Core/Mesh/SmartHandles.hh
- OpenMesh/Core/Mesh/PolyConnectivity_inline_impl.hh